<?php
/**
 * Fade in fade out rss feed
 *
 * @package     Fade in fade out rss feed
 * @subpackage  mod_fade_in_fade_out_rss_feed
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2011/09/fade-in-fade-out-rss-feed-joomla-module/
 */
 
namespace Joomla\Module\FadeInFadeOutRssFeed\Site\Helper;

defined('_JEXEC') or die;

abstract class FadeInFadeOutRssFeedHelper
{
	public static function getFeed(&$params)
	{
		$url = $params->get('fiforss_rss');
		
		if($url == "")
		{
			return \JText::_('FIFORSS_ERR1');
		}
		
		try
		{
			$feed   = new \JFeedFactory;
			$rssDoc = $feed->getFeed($url);
		}
		catch (Exception $e)
		{
			return \JText::_('FIFORSS_ERR2');
		}
		
		if (empty($rssDoc))
		{
			return \JText::_('FIFORSS_ERR3');
		}

		if ($rssDoc)
		{
			return $rssDoc;
		}
	}
}